Name:          shibboleth-java-support
Version:       7.1.1
Release:       8%{?dist}
Summary:       Java Support for Shibboleth projects
License:       ASL 2.0 and BSD
URL:           http://shibboleth.net/
# git clone git://git.shibboleth.net/java-support
# (cd java-support/ && git archive --format=tar --prefix=shibboleth-java-support-7.1.1/ 7.1.1 | xz > ../shibboleth-java-support-7.1.1.tar.xz)
Source0:       %{name}-%{version}.tar.xz
Patch0:        shibboleth-java-support-7.1.1-port-to-servlet-3.1.patch

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(ch.qos.logback:logback-core)
BuildRequires: mvn(com.beust:jcommander)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(net.shibboleth:parent-v3:pom:)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpclient-cache)
BuildRequires: mvn(org.apache.velocity:velocity)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-test)
# test deps listed in net.shibboleth:parent-v3:pom:
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:jul-to-slf4j)
BuildRequires: mvn(org.slf4j:log4j-over-slf4j)
BuildRequires: mvn(org.testng:testng)
BuildRequires: mvn(xmlunit:xmlunit)

BuildArch:     noarch

%description
Java Support for Shibboleth projects.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

# Use web connection
# UnknownHostException: buildvm-19.phx2.fedoraproject.org: buildvm-19.phx2.fedoraproject.org: unknown error
rm src/test/java/net/shibboleth/utilities/java/support/net/IPRangeTest.java
# AssertionError only on koji builders
rm src/test/java/net/shibboleth/utilities/java/support/collection/LazyMapTest.java \
 src/test/java/net/shibboleth/utilities/java/support/collection/ClassToInstanceMultiMapTest.java \
 src/test/java/net/shibboleth/utilities/java/support/httpclient/IdleConectionSweeperTest.java

%mvn_file : %{name} java-support
%mvn_package :java-support::tests:

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc doc/RELEASE-NOTES.txt
%license doc/LICENSE.txt doc/NOTICE.txt doc/OWASP-LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license doc/LICENSE.txt doc/NOTICE.txt doc/OWASP-LICENSE.txt

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Sep 24 2016 gil cattaneo <puntogil@libero.it> 7.1.1-3
- remove test failure

* Mon Jul 25 2016 gil cattaneo <puntogil@libero.it> 7.1.1-2
- review fixes

* Thu Jul 14 2016 gil cattaneo <puntogil@libero.it> 7.1.1-1
- initial rpm
